FiskilFiskilFiskil DocsFiskil Docs
Log InSign Up
GuidesAPI ReferenceChangelog

Mobile menu

HomeFiskilFiskil
Log InSign Up
Introduction

Getting Started

AuthenticationErrorsPagination

CORE RESOURCES

Linking Accounts

BANKING API

ENERGY API

IDENTITY

Get income summary

Returns an income summary for the end-user. This is calculated over all consents associated with the end-user in real-time, and includes data from all connected bank accounts

AI Actions
GET
/v1/banking/income

Returns an income summary for the end-user. This is calculated over all consents associated with the end-user in real-time, and includes data from all connected bank accounts

Authorization

Token_header_Authorization
AuthorizationBearer <token>

In: header

Query Parameters

end_user_idstringrequired

A unique identifier for the End User object.

fromstring

Start date (inclusive) in ISO-8601 date format (YYYY-MM-DD). Defaults to 6 months before today if omitted.

tostring

End date (inclusive) in ISO-8601 date format (YYYY-MM-DD). Defaults to today if omitted.

categoriesarray<string>

One or many income categories to include

account_idarray<string>

List of account IDs to include. Pass multiple instances of account_id to include multiple accounts. Defaults to all available accounts if omitted

Response Body

application/json

application/json

application/json

curl -X GET "https://api.fiskil.com/v1/banking/income?end_user_id=string"
{
  "income_sources": [
    {
      "account_id": "acc_1234",
      "category": "INCOME_SALARY",
      "currency": "AUD",
      "income_frequency": "MONTHLY",
      "income_total": "17650.00",
      "institution_id": "1",
      "period_from": "2025-05-08",
      "period_to": "2025-07-08",
      "total_transactions": 3,
      "transactions": [
        {}
      ]
    }
  ],
  "income_summary": {
    "monthly_avg": [
      {
        "currency": "AUD",
        "income_monthly": "5883.33"
      }
    ],
    "monthly_median": [
      {
        "currency": "AUD",
        "income_monthly": "5883.33"
      }
    ],
    "period_from": "2025-05-08",
    "period_to": "2025-07-08",
    "total": [
      {
        "currency": "AUD",
        "income_total": "17650.00"
      }
    ],
    "total_transactions": 3
  }
}
{
  "id": "string",
  "message": "string",
  "name": "string"
}
{
  "id": "string",
  "message": "string",
  "name": "string"
}

Was this page helpful?

Get BalancesGet Payees